From 48e3b7923ffec28e584c0220c4e5bfa4be7fca79 Mon Sep 17 00:00:00 2001
From: Ignacio Nin <ignacio.nin@percona.com>
Date: Wed, 1 Sep 2010 13:03:58 -0300
Subject: [PATCH] Fix build on i386

A typo in a preprocessor macro prevented the software from being
built on non-64 bit architectures.
---
 src/stats-hash.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/stats-hash.c b/src/stats-hash.c
index 86af85c..5fe236b 100644
--- a/src/stats-hash.c
+++ b/src/stats-hash.c
@@ -290,7 +290,7 @@ struct hash *
     ret = ((uint64_t) laddr << 32) | raddr;
     ret ^= ((uint64_t) lport << 48) | ((uint64_t) rport << 32) |
             ((uint64_t) lport << 16) | rport;
-#elif SIZEOF_USIGNED_LONG == 4
+#elif SIZEOF_UNSIGNED_LONG == 4
     ret = laddr ^ raddr;
     ret ^= (lport << 16) | rport;
 #else
-- 
1.7.10

